curl --request POST \
--url https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/export-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateFrom": "<string>",
"dateTo": "<string>",
"sourceId": "<string>"
}
'import requests
url = "https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/export-jobs"
payload = {
"dateFrom": "<string>",
"dateTo": "<string>",
"sourceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dateFrom: '<string>', dateTo: '<string>', sourceId: '<string>'})
};
fetch('https://matcher.sandbox.lerian.net/v1/contexts/{contextId}/export-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"status": "<string>",
"statusUrl": "<string>"
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0001",
"title": "Bad Request",
"message": "context not found",
"error": "<string>",
"details": {}
}{
"code": "MTCH-0702",
"title": "Service Unavailable",
"message": "The export worker is currently unavailable."
}Create an export job
Use this endpoint to create an asynchronous export job for large report exports. Supported formats include CSV, JSON, and XML.
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
A unique identifier for tracing the request across services.
Optional idempotency key for safe retries. Also accepts Idempotency-Key as an alternative header name. If the same key is sent again and the original request was already processed, the cached response is returned with X-Idempotency-Replayed: true.
See Retries and idempotency for details.
Path Parameters
The unique identifier of the reconciliation context.
Body
Export job parameters
Response
Indicates that the request was accepted for processing.
The response includes the X-Idempotency-Replayed header.
If the value is false, the request was just processed. If the value is true, the response is a replay of a previously processed request.
See Retries and idempotency for more details.
Was this page helpful?

